Package net.shibboleth.idp.saml.metadata

# Class IdPUIInfo

java.lang.Object
net.shibboleth.idp.saml.metadata.IdPUIInfo

public class IdPUIInfo extends Object
Class to contain a processed form of the `UIInfo` suitable for display purposes.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Map<Locale,String>`
`descriptions`
The Descriptions as a map from locale to actual value.
`private final Map<Locale,String>`
`displayNames`
The Display Names as a map from locale to actual value.
`private final Map<Locale,String>`
`informationURLs`
The Information URLs as a map from locale to actual value.
`private final Map<Locale,List<String>>`
`keywordList`
The Keywords as a map from locale to lists of actual values.
`private final Map<Locale,List<Logo>>`
`localeLogos`
The Logos as a map from locale to actual value.
`private static final org.slf4j.Logger`
`LOG`
logger.
`private final List<Logo>`
`nonLocaleLogos`
The non Locale bearing Logos .
`private final Predicate<Keywords>`
`nullLanguageKeyword`
Warning check against a non localized keyword.
`private final Map<Locale,String>`
`privacyStatementURLs`
The Privacy Statement URLs as a map from locale to actual value.

## Constructor Summary

Constructors
Constructor
Description
`IdPUIInfo(UIInfo uiInfo)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Map<Locale,String>`
`getDescriptions()`
Return the descriptions as a map from locale to actual value.
`Map<Locale,String>`
`getDisplayNames()`
Get the Display Names as a map from locale to actual value.
`Map<Locale,String>`
`getInformationURLs()`
Get the URLs as a map from locale to actual value.
`Map<Locale,List<String>>`
`getKeywords()`
Get the keywords as a map from locale to actual value.
`Map<Locale,List<Logo>>`
`getLocaleLogos()`
Get the logos as a map from locale to the OpenSAML `Logo`.
`List<Logo>`
`getNonLocaleLogos()`
Get the logos with no associated locale to the OpenSAML `Logo`.
`Map<Locale,String>`
`getPrivacyStatementURLs()`
Get the Privacy Statement URLsas a map from locale to actual value.
`private final Predicate<LocalizedName>`
`nullLanguageString(String inside)`
Warning check against a non localized String.
`private final Predicate<LocalizedURI>`
`nullLanguageURL(String inside)`
Warning check against a non localized URL.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LOG

@Nonnull private static final org.slf4j.Logger LOG
logger.

### displayNames

@Nonnull @Unmodifiable @NotLive private final Map<Locale,String> displayNames
The Display Names as a map from locale to actual value.

### keywordList

@Nonnull @Unmodifiable @NotLive private final Map<Locale,List<String>> keywordList
The Keywords as a map from locale to lists of actual values.

### descriptions

@Nonnull @Unmodifiable @NotLive private final Map<Locale,String> descriptions
The Descriptions as a map from locale to actual value.

### localeLogos

@Nonnull @Unmodifiable @NotLive private final Map<Locale,List<Logo>> localeLogos
The Logos as a map from locale to actual value.

### nonLocaleLogos

@Nonnull @Unmodifiable @NotLive private final List<Logo> nonLocaleLogos
The non Locale bearing Logos .

### informationURLs

@Nonnull @Unmodifiable @NotLive private final Map<Locale,String> informationURLs
The Information URLs as a map from locale to actual value.

### privacyStatementURLs

@Nonnull @Unmodifiable @NotLive private final Map<Locale,String> privacyStatementURLs
The Privacy Statement URLs as a map from locale to actual value.

### nullLanguageKeyword

@Nonnull private final Predicate<Keywords> nullLanguageKeyword
Warning check against a non localized keyword.

## Constructor Details

### IdPUIInfo

public IdPUIInfo(@Nonnull UIInfo uiInfo)
Constructor.

Parameters:
  `uiInfo` - The OpenSaml UIInfo to convert.

## Method Details

### nullLanguageString

@Nonnull private final Predicate<LocalizedName> nullLanguageString(String inside)
Warning check against a non localized String.

Parameters:
  `inside` - further contextual info for logging
Returns:
  true if the string inside the name is empty.

### nullLanguageURL

@Nonnull private final Predicate<LocalizedURI> nullLanguageURL(@Nonnull String inside)
Warning check against a non localized URL.

Parameters:
  `inside` - further contextual info for logging
Returns:
  true if the string inside the name is empty.

### getDisplayNames

@Nonnull @Unmodifiable @NotLive public Map<Locale,String> getDisplayNames()
Get the Display Names as a map from locale to actual value.

Returns:
  the display names

### getKeywords

@Nonnull @Unmodifiable @NotLive public Map<Locale,List<String>> getKeywords()
Get the keywords as a map from locale to actual value.

Returns:
  the display names

### getDescriptions

@Nonnull @Unmodifiable @NotLive public Map<Locale,String> getDescriptions()
Return the descriptions as a map from locale to actual value.

Returns:
  the descriptions names (if any)

### getLocaleLogos

@Nonnull @Unmodifiable @NotLive public Map<Locale,List<Logo>> getLocaleLogos()
Get the logos as a map from locale to the OpenSAML `Logo`.

Returns:
  the logos (if any)

### getNonLocaleLogos

@Nonnull @Unmodifiable @NotLive public List<Logo> getNonLocaleLogos()
Get the logos with no associated locale to the OpenSAML `Logo`.

Returns:
  the logos (if any)

### getInformationURLs

@Nonnull @Unmodifiable @NotLive public Map<Locale,String> getInformationURLs()
Get the URLs as a map from locale to actual value.

Returns:
  the URLs (if any)

### getPrivacyStatementURLs

@Nonnull @Unmodifiable @NotLive public Map<Locale,String> getPrivacyStatementURLs()
Get the Privacy Statement URLsas a map from locale to actual value.

Returns:
  the URLs (if any)